# Return Sitejet templates (deprecated)

This function fetches the list of available Sitejet templates.

Endpoint: GET /Sitejet/get_templates
Version: 11.136.0.13
Security: BasicAuth

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "get_templates"

  - `module` (string)
    The name of the module called.
    Example: "Sitejet"

  - `result` (object)

  - `result.data` (array)

  - `result.data.createdAt` (string)
    The templates creation date.
    Example: "2023-05-04T07:21:20.000Z"

  - `result.data.description` (string)
    The template's description.
    Example: "Example template description"

  - `result.data.id` (integer)
    The template's ID.
    Example: "123456"

  - `result.data.image` (string)
    The relative path to the template image on the SiteJet CMS website.
    Example: "/images/1024/6824140/template_image.png"

  - `result.data.name` (string)
    The template's name.
    Example: "example template"

  - `result.data.previewUrl` (string)
    The website's preview URL.
    Example: "https://www.example-template.com"

  - `result.data.tags` (array)
    The template's catagory search tags.
    Example: ["blog"]

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.metadata.transformed` (integer)
    Post-processing may have transformed the data.
    Enum: 1

  - `result.status` (integer)
    - 1 - Success.
- 0 - Failed: Check the errors field for more details.
    Enum: 1, 0

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running an API.


